CREATE TABLE ego_route_assoc_attrs_ (
    ROUTE_ATTR_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)  ,
    ROUTE_ASSOC_ID              NUMBER(18, 0) ,
    OBJECT_NAME                 VARCHAR2(480) ,
    OBJECT_PK1                  NUMBER(18, 0) ,
    OBJECT_PK2                  NUMBER(18, 0) ,
    OBJECT_PK3                  NUMBER(18, 0) ,
    OBJECT_PK4                  NUMBER(18, 0) ,
    OBJECT_PK5                  NUMBER(18, 0) ,
    ATTR_INTERNAL_NAME          VARCHAR2(1280),
    ATTR_NAME                   VARCHAR2(1280),
    ATTR_TYPE                   VARCHAR2(120) ,
    ATTR_GROUP_INTERNAL_NAME    VARCHAR2(1280),
    INHERITED_FLAG              VARCHAR2(16)  ,
    CREATED_BY                  VARCHAR2(256) ,
    CREATION_DATE               TIMESTAMP(6)  ,
    LAST_UPDATED_BY             VARCHAR2(256) ,
    LAST_UPDATE_DATE            TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_          VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_       VARCHAR2(4000),
    AUDIT_IMPERSONATOR_         VARCHAR2(256) ,
    ROUTE_ATTR_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)  ,
    ROUTE_ASSOC_ID              NUMBER(18, 0) ,
    OBJECT_NAME                 VARCHAR2(480) ,
    OBJECT_PK1                  NUMBER(18, 0) ,
    OBJECT_PK2                  NUMBER(18, 0) ,
    OBJECT_PK3                  NUMBER(18, 0) ,
    OBJECT_PK4                  NUMBER(18, 0) ,
    OBJECT_PK5                  NUMBER(18, 0) ,
    ATTR_INTERNAL_NAME          VARCHAR2(1280),
    ATTR_NAME                   VARCHAR2(1280),
    ATTR_TYPE                   VARCHAR2(120) ,
    ATTR_GROUP_INTERNAL_NAME    VARCHAR2(1280),
    INHERITED_FLAG              VARCHAR2(16)  ,
    CREATED_BY                  VARCHAR2(256) ,
    CREATION_DATE               TIMESTAMP(6)  ,
    LAST_UPDATED_BY             VARCHAR2(256) ,
    LAST_UPDATE_DATE            TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_          VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_       VARCHAR2(4000),
    AUDIT_IMPERSONATOR_         VARCHAR2(256) ,
    CONSTRAINT pk_ego_route_assoc_attrs_ PRIMARY KEY (ROUTE_ATTR_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, ROUTE_ATTR_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
